Class | Chef::ReservedNames::Win32::Error
In: | lib/chef/win32/error.rb
Parent: | Object

### Methods

format_message get_last_error raise!

### Included Modules

Chef::ReservedNames::Win32::API::Error

### Public Class methods

format_message(message_id = 0, args = {})
get_last_error()
raise!(message = nil)

Raises the last error. This should only be called by Win32 API wrapper functions, and then only when wrapped in an if() statement (since it unconditionally exits)

### Returns

nil:: | always returns nil when it does not raise

### Raises

Chef::Exceptions::Win32APIError:::

[Validate]